﻿local NAME, addon = ...

local locales = {
	enUS = {
		config_panels = {
			options = "Options"
		},
		config_groups = {
			randomroll = "Random Roll",
			specialrecipients = "Special Recipients"
		},
		config = {
			menu_roll = "Show roll menu item",
			menu_disenchant = "Show disenchanter menu item",
			menu_bank = "Show banker menu item",
			menu_self = "Show self loot menu item",
		},
		ML_RANDOM = "Raid Roll",
		ML_SELF = "Self Loot",
		ML_BANKER = "Banker",
		ML_DISENCHANTER = "Disenchanter",
		RECIPIENTS = "Special Recipients",
		SPECIALROLLS = "Special Rolls",
		BINDING_BANKER = "Set Banker",
		BINDING_DISENCHANTER = "Set Disenchanter",
	},
	-- Possibly localized
	ptBR = {},
	frFR = {},
	deDE = {},
	koKR = {},
	esMX = {},
	ruRU = {},
	zhCN = {},
	esES = {},
	zhTW = {},
}

local L = locales[GetLocale()] and locales[GetLocale()] or locales.enUS
if L ~= locales.enUS then
	setmetatable(L, { __index = locales.enUS })
	for k, v in pairs(L) do	
		if type(v) == 'table' then
			setmetatable(v, { __index = locales.enUS[k] })
		end
	end
end
addon.L = L
